#include <bits/stdc++.h>
using namespace std;
int T,N,M,K,p;
void brojevi(int n){
  for(int i=1;i<=n;i++){
    p+=i;
  }
}
int main(){
  cin>>T;
  for(int k = 1;k<=T;k++){
    cin>>N>>M>>K;
    brojevi(N);
    if(M<N+K or K==1 and M<p){
      cout<<"Nie"<<endl;
    }
    else cout<<"Tak"<<endl;


  }
  return 0;
}

/*
n-broj ucenika
m-broj bananica
k-broj grupa
*/